/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.HttpSessionContextImpl
    Title:      Implementation of javax.servlet.http.HttpSessionContext
    Package:    iMatix Servlet Runner

    Written:    99/03/15  Ewen McNeill <ewen@imatix.com>
    Revised:    99/03/15

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

import javax.servlet.http.*;
import java.util.Hashtable;
import java.util.Enumeration;

/**
    iMatix Servlet Runner implementation of 
    javax.servlet.http.HttpSessionContext
 */
public class HttpSessionContextImpl implements HttpSessionContext
{
   private Hashtable               sessions;

   /** 
       Constructor -- creates a new, empty, sessioncontext
     */
   protected HttpSessionContextImpl ()
   {
      sessions       = new Hashtable();
   }

   /**
       Add session into session context.
     */
   protected void addSession (HttpSessionImpl session)
   {
      sessions.put(session.getId(), session); 
   }

   /**
      Retrieve session (by ID) from session context.
     */
   public HttpSession getSession(String sessionId)
   {
      return (HttpSession)sessions.get(sessionId);
   }

   /**
      Remove session from session context.
     */
   protected void removeSession(String sessionId)
   {
      sessions.remove(sessionId); 
   }

   protected void removeSession(HttpSessionImpl session)
   {
      removeSession(session.getId());
   }

   /**
      Get enumeration of IDs of sessions in this session context
     */
   public Enumeration getIds()
   {
      return sessions.keys();
   }
}
