/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.NoActiveRequest
    Title:      Exception class: indicates no active web request
    Package:    iMatix Servlet Runner

    Written:    99/01/11  Ewen McNeill <ewen@imatix.com>
    Revised:    99/01/11

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

/**
    This exception class indicates that there is no active request from
    the webserver, and hence details about the request cannot be
    retrieved.
 */
public class NoActiveRequest extends RuntimeException
{
    String errorMessage = null;

    public NoActiveRequest (String errorMessage)
    {
        this.errorMessage = errorMessage;
    }

    /**
        Retrieve error message (if any).  The error message is useful 
	only if an error has occured, otherwise it contains an
	innocent string.
     */
    public String getErrorMessage()
    {
        return errorMessage;
    }
}
