/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.NotConnectedToWebServer
    Title:      Exception class: indicates not connected to webserver
    Package:    iMatix Servlet Runner

    Written:    99/01/11  Ewen McNeill <ewen@imatix.com>
    Revised:    99/01/11

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

/**
    This exception class indicates that there is no connection to the
    web server.  Either because the connection has not been established,
    or because the connection has been lost.
 */
public class NotConnectedToWebServer extends RuntimeException
{
    String errorMessage = null;

    public NotConnectedToWebServer (String errorMessage)
    {
        this.errorMessage = errorMessage;
    }

    /**
        Retrieve error message (if any).  The error message is useful 
	only if an error has occured, otherwise it contains an
	innocent string.
     */
    public String getErrorMessage()
    {
        return errorMessage;
    }
}
