/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.ServletConfigImpl
    Title:      Implementation of javax.servlet.ServletConfig
    Package:    iMatix Servlet Runner

    Written:    99/01/11  Ewen McNeill <ewen@imatix.com>
    Revised:    99/01/11

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import java.util.Enumeration;
import java.util.Hashtable;

/**
    iMatix Servlet Runner implementation of javax.servlet.ServletContext

    This implementation has stub functions for most of the required
    functions but additional functionality may be added as required.
 */
public class ServletConfigImpl implements ServletConfig
{
    private ServletContext servletContext    = null;
    private Hashtable      servletParameters = null;

    ServletConfigImpl(ServletContext context, Hashtable parameters)
    {
        servletContext    = context;
	servletParameters = parameters;
    }

    /**
        Returns the context for the servlet
     */
    public ServletContext getServletContext()
    {
        return servletContext;
    }

    /**
        Returns a string containing the value of the named inialisation
	parameter of the servlet, or null if the parameter does not
	exist.  These parameters are single string values, which maybe
	be decoded by the servlet writer if desired.
     */
    public String getInitParameter(String name)
    {
        if (servletParameters != null)
	    return (String)servletParameters.get(name);
        else
            return null;
    }

    /**
        Returns the names of the servlet's initialization parameters
	as an enumeration of strings, or an empty enumeration if there
	are no initialization parameters.
     */
    public Enumeration getInitParameterNames()
    {
        if (servletParameters != null)
	    return servletParameters.keys();
	else
            return new Hashtable().keys();
    }
}
