/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.ServletInputStreamImpl
    Title:      Implementation of javax.servlet.ServletInputStream
    Package:    iMatix Servlet Runner

    Written:    99/01/17  Ewen McNeill <ewen@imatix.com>
    Revised:    99/01/17

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

import java.io.IOException;
import java.io.InputStream;
import javax.servlet.ServletInputStream;

/**
    iMatix Servlet Runner implementation of javax.servlet.ServletInputStream.
    This is a simple implementation that just passes the read(int) on
    to the underlying input stream.
 */
public class ServletInputStreamImpl extends ServletInputStream
{
    private InputStream  is = null;

    ServletInputStreamImpl(InputStream is)
    {
        this.is = is;
    }

    public int read() throws IOException
    {
        return is.read();
    }
}
