/*  ----------------------------------------------------------------<Prolog>-
    Name:       com.imatix.ServletRunner.ServletOutputStreamImpl
    Title:      Implementation of javax.servlet.ServletOutputStream
    Package:    iMatix Servlet Runner

    Written:    99/01/11  Ewen McNeill <ewen@imatix.com>
    Revised:    99/01/11

    Copyright:  Copyright (c) 1991-99 iMatix Corporation
    License:    This is free software; you can redistribute it and/or modify
                it under the terms of the SMT License Agreement as provided
                in the file LICENSE.TXT.  This software is distributed in
                the hope that it will be useful, but without any warranty.
 ------------------------------------------------------------------</Prolog>-*/

package com.imatix.ServletRunner;

import java.io.IOException;
import java.io.OutputStream;
import javax.servlet.ServletOutputStream;

/**
    iMatix Servlet Runner implementation of javax.servlet.ServletOutputStream.
    This is a simple implementation that just passes the write(int) on
    to the underlying output stream.
 */
public class ServletOutputStreamImpl extends ServletOutputStream
{
    private OutputStream  os = null;

    ServletOutputStreamImpl (OutputStream os)
    {
        this.os = os;
    }

    public void write (int b) throws IOException
    {
        os.write(b);
    }
}
